from django.contrib import admin
from django.urls import path,include
from userapp import views
from django.contrib.auth import views as auth_views


urlpatterns = [
    path('',views.userindex,name='userindex'),
    path('userbooking/<int:id>/',views.userbooking,name='userbooking'),
    path('usercar/',views.usercar,name='usercar'),
    path('userteam/',views.userteam,name='userteam'),
    path('userdetail/',views.userdetail,name='userdetail'),
    path('userservice/',views.userservice,name='userservice'),
    path('userabout/',views.userabout,name='userabout'),
    path('usertestimonial/',views.usertestimonial,name='usertestimonial'),
    path('userlogin/', views.userlogin,name="userlogin"),
    path('userlogout/', views.userlogout,name="userlogout"),
    path('userregister/', views.userregister,name="userregister"),
    path('register/', views.adminregister,name="register"),
    path('bikedetails/<int:id>/',views.bikedetails,name='bikedetails'),
    path('userform/', views.userform,name="userform"),
    path('userend/<int:id>/', views.userend,name="userend"),
    path('userrent/', views.userrent,name="userrent"),
    path('userlast/<int:id>/', views.userlast, name='userlast'),
    path('feedback/', views.userfeedback, name='feedback'),
    path("user_profile/", views.user_profile, name="user_profile"),
    path("manage_profile_view/", views.manage_profile_view, name="manage_profile_view"),
    path('password_reset/', auth_views.PasswordResetView.as_view(), name='password_reset'),
    path('password_reset/done/', auth_views.PasswordResetDoneView.as_view(), name='password_reset_done'),
    path('reset/<uidb64>/<token>/', auth_views.PasswordResetConfirmView.as_view(), name='password_reset_confirm'),
    path('reset/done/', auth_views.PasswordResetCompleteView.as_view(), name='password_reset_complete'),
    path('userforgot/', views.userforgot, name='userforgot'),

    path('create-razorpay-order/<int:id>/', views.create_order, name='create_order'),
    path('payment/', views.payment_page, name='payment_page'),
    path('verify-razorpay-payment/<int:id>/', views.verify_payment, name='verify_payment'),
    

    path('contact_view/', views.contact_view, name='contact_view'),
]




